Table of Contents

Class: Shelf | Twisted-0.17.4/twisted/persisted/dirdbm.py
--- | ---

### A directory with a DBM shelf interface.

This class presents a hash-like interface to a directory of small, flat files. Keys must be strings, but values can be any given object.

Base Classes |
--- | ---
DirDBM

Methods |
--- | ---
__getitem__ __setitem__
| __getitem__

    __getitem__ ( self,  k )

dirdbm[foo]; get the contents of a file in this directory as a pickle

| __setitem__

    __setitem__ (
            self,
            k,
            v,
            )

shelf[foo] = bar; create or modify a textfile in this directory

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:01 2002 by HappyDoc version 2.0